Subject: bug#70036: a fix that

From: João Távora <[email-masked]>
Date: Thu, 18 Apr 2024 17:15:52 +0100

On Thu, Apr 18, 2024 at 5:11 PM Theodor Thornhill <[email-masked]> wrote:

>  > Profiles can mislead and they can lie.  It is much easier to time the
>  > old and the new code doing the same jobs, and compare the times.
>  >
>  >> If so, I think this simpler patch after my sig is all we need, as it
>  >> completely clears the profile of any "file-truename".  I have reverted
>  >> the earlier patch and pushed a patch very similar to the one after my sig.
>
>  That's unfortunate.

For you maybe.  From my standpoint noone else besides you has complained
about these problems, and I am still Eglot maintainer and must protect
against regressions.

>  > This new code should also be timed and compared to the other two
>  > versions, before we make the final decision on this.
>
>  This is a very unfortunate change. This completely misses the point and
>  reverts any perf gains from my previous patch... I think your
>  conclusions are too quick, and actions likewise.
>
>  I'd argue that long paths are a way more common occurrence than
>  symlinking, and the places you touched in your "better way" ignores the
>  performance critical parts.
>
>  The function you are suggesting isn't the hotspot. Most notable
>  publishDiagnostics is, which now is killed again.

Then you should publish details for a reproducible experiment
and we can take it from there.

The experiments I ran were the ones I could gather from a reading
of your profiles.  The patch I used was very effective in solving
the performance effects.

João